server:
  servlet:
    contextPath: /api
    encoding:
      charset: UTF-8
      enabled: true
      force: true
  port: 8090
  error:
    include-message: always

spring:
  servlet:
    multipart:
      max-file-size: 500MB
      max-request-size: 600MB
  jpa:
    hibernate:
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
    database-platform: org.hibernate.dialect.MySQL8Dialect
    properties:
      hibernate:
        dialect:
          storage_engine: innodb

logging:
  config: 'classpath:log4j2.yml'

m18:
  config:
    grant-type: password
    client-id: M2Y1OGYxMmQtZDRiOS00OTA4LTgyNTktZDRkNzEzNWVkMzRm
    client-secret: M2Y2YjQzYzQtZTc2Mi00OTFhLTkwYmItYmJhMzFjZjEyYmY5
    username: testingMTMS
    password: db25f2fc14cd2d2b1e7af307241f548fb03c312a
    base-url: https://toa.m18saas.com/jsf/rfws
    base-url-uat: https://toauat.m18saas.com/jsf/rfws
    base-password: qwer1234
    supplier:
      shop-po: P06, P07
      oem-po: T62
    supplier-not:
      material-po: P06, P07
    beId:
      toa: 1
      pf: 27
      pp: 29
    seriesId:
      pp: 26
      pf: 33
      fa: 2
      fb: 3
      fc: 4
      fd: 5
      ff: 6
      sc: 27
      se: 28
      sf: 70
      sr: 29